﻿using Leaflet_Maps_Core_Razor.Models;
using Microsoft.AspNetCore.Mvc.RazorPages;
using System.Collections.Generic;
using Newtonsoft.Json;

namespace Leaflet_Maps_Core_Razor.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; set; }
        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }
        public void OnGet()
        {
            List<MarkerModel> markers = new List<MarkerModel>();
            foreach (Location location in this.Context.Locations)
            {
                markers.Add(new MarkerModel
                {
                    Title = location.Name,
                    Description = location.Description,
                    Lat = location.Latitude,
                    Lng = location.Longitude
                });
            }
            ViewData["Markers"] = JsonConvert.SerializeObject(markers);
        }
    }
}